import { request } from '@/utils/request.js'

/**
 * 渠道分析 API接口
 */
export default {
  /**
   * 数据列表
   * @returns
   */
  getHourList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getHourDataList',
      method: 'get',
      params
    })
  },
  /**
   * 留存按日
   */
  getActiveList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getActiveDataList',
      method: 'get',
      params
    })
  },

  /**
   * 渠道总览
   */
  getAgentDataList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getAgentDataList',
      method: 'get',
      params
    })
  },
  /**
   * 广告位总览
   */
  getAdSiteDataList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getAdSiteDataList',
      method: 'get',
      params
    })
  },
  /**
   * 渠道按日
   */
  getAgentDayDataList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getAgentDayDataList',
      method: 'get',
      params
    })
  },
  /**
   * LTV
   */
  getLtvDataList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getLtvDataList',
      method: 'get',
      params
    })
  },
  /**
   * LTVM
   */
  getLtvMDataList(params = {}) {
    return request({
      url: '/v1/dataReport/channelAnalysis/getLtvmDataList',
      method: 'get',
      params
    })
  }
}
